/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ["./*.html"],
  theme: {
    extend: {
      colors: {
        'mc': '#ecf0f3',
        'bc': '#fff',
        'sf': '#1c1e22',
        'st': '#262a2e',
        'mlgf': '#1e2024',
        'mlgt': '#23272b',
        'ht': '#3c3e41',
        'tx': '#3c3e41',
        'st': '#f9004d',
        'pt': '#f9004d',
        'lc': '#dce1e4',
        'ac': '#ff014f',
      },
      boxShadow: {
        'main-shadow': '5px 5px 15px #D1D9E6, -5px -5px 15px #ffffff',
        'progress': 'inset 8px 8px 16px rgba(0, 0, 0, 0.4588235294), inset -8px -8px 16px rgba(56, 62, 69, 0.4588235294)',
        'input': '1px 4px 2px -3px rgba(0, 0, 0, 0.7) inset, -1px -3px 3px -2px rgba(255, 255, 255, 0.2) inset',
      },
      backgroundImage: {
        'main-graient': 'linear-gradient(145deg, #e2e8ec, #ffffff)',
        'hover-graient': 'linear-gradient(145deg, #ff014f, #d11414)',
        'primary-graient': 'linear-gradient(145deg, #ff014f, #d11414)',
        'slider': "url('../image/slider.jpg')",
        'progress': 'linear-gradient(270deg, #fff 0%, #ff014f 100%)',
      },
      transitionDuration: {
        '.5': '.5s',
      },
      transitionProperty: {
        'background-image': 'background-image',
      },
      fontFamily: {
        'Yekan-Light': 'Yekan-Light',
        'Yekan-Regular': 'Yekan-Regular',
        'Yekan-Bold': 'Yekan-Bold',
      },
      container: {
        center: true,
        padding: {
          DEFAULT: '20px',
          lg: '0px'
        },
      },
    },
  },
  plugins: [],
}