'use strict';

const btnScrollTop = document.querySelector('.click-to-tap');
window.onscroll = function () {
    if (scrollY > 200) {
        btnScrollTop.classList.remove('hidden')
    } else {
        btnScrollTop.classList.add('hidden')
    }
};

btnScrollTop.addEventListener('click', function () {
    window.scrollTo(0, 0);
});

const tabs = document.querySelectorAll('[data-id]');
const contents = document.querySelectorAll('[data-content]');
let id = 0;

tabs.forEach(function (tab) {
    tab.addEventListener('click', function () {
        tabs[id].classList.remove('active');
        tab.classList.add('active');
        id = tab.getAttribute('data-id');
        contents.forEach(function (box) {
            box.classList.add('hidden');
            if (box.getAttribute('data-content') == id) {
                box.classList.remove('hidden');
                box.classList.add('grid');
            }
        });
        if (id == 1) {
            setTimeout(() => {
                progressSkill();
            }, 900);
        } else {
            progress.forEach(function (item) {
                item.firstElementChild.style.width = 0 + '%';
            });
        }
    });
});

const munu = document.querySelectorAll('[data-menu]');
let number = 0;

munu.forEach(item => {
    item.addEventListener('click', function () {
        munu[number].classList.remove('active');
        item.classList.add('active');
        number = item.getAttribute('data-menu');
        contents.forEach(function (box) {
            box.classList.add('hidden');
            if (box.getAttribute('data-content') == number) {
                box.classList.remove('hidden');
                box.classList.add('grid');
            }
        });
        if (number == 1) {
            setTimeout(() => {
                progressSkill();
            }, 900);
        } else {
            progress.forEach(function (item) {
                item.firstElementChild.style.width = 0 + '%';
            });
        }
    });
});

const progress = document.querySelectorAll('[data-progress]');

function progressSkill() {
    progress.forEach(function (item) {
        item.firstElementChild.style.width = item.dataset.progress + '%';
        item.firstElementChild.firstElementChild.innerHTML = item.dataset.progress + '%';
    });
};


const popupOne = document.querySelector('.popup-one');
const works = document.querySelectorAll('.main-work');
const closeWork = document.querySelector('.close-work');
const insideWork = document.querySelector('.work');

works.forEach(work => {
    work.addEventListener('click', function () {
        popupOne.style.opacity = 1;
        popupOne.style.visibility = 'visible';
        popupOne.style.zIndex = 1000;
        insideWork.style.transform = 'translateY(0px)';
    });
});

closeWork.addEventListener('click', function () {
    popupOne.style.opacity = 0;
    popupOne.style.visibility = 'hidden';
    popupOne.style.zIndex = -1;
    insideWork.style.transform = 'translateY(-20px)';
});


const popupTwo = document.querySelector('.popup-two');
const blogs = document.querySelectorAll('.main-blog');
const closeBlog = document.querySelector('.close-blog');
const insideBlog = document.querySelector('.blog');

blogs.forEach(blog => {
    blog.addEventListener('click', function () {
        popupTwo.style.opacity = 1;
        popupTwo.style.visibility = 'visible';
        popupTwo.style.zIndex = 1000;
        insideBlog.style.transform = 'translateY(0px)';
    });
});

closeBlog.addEventListener('click', function () {
    popupTwo.style.opacity = 0;
    popupTwo.style.visibility = 'hidden';
    popupTwo.style.zIndex = -1;
    insideBlog.style.transform = 'translateY(-20px)';
});