/** @type {import('tailwindcss').Config} */
module.exports = {
  content: ["./*.html"],
  theme: {
    extend: {
      colors: {
        'mc': '#1d1e23',
        'bc': '#222428',
        'sf': '#1c1e22',
        'st': '#262a2e',
        'mlgf': '#1e2024',
        'mlgt': '#23272b',
        'ht': '#c4cfde',
        'tx': '#878e99',
        'st': '#f9004d',
        'pt': '#f9004d',
        'lc': '#151517',
        'ac': '#ff014f',
      },
      boxShadow: {
        'main-shadow': '10px 10px 19px #1c1e22, -10px -10px 19px #262a2e',
        'progress': 'inset 8px 8px 16px rgba(0, 0, 0, 0.4588235294), inset -8px -8px 16px rgba(56, 62, 69, 0.4588235294)',
        'input': '1px 4px 2px -3px rgba(0, 0, 0, 0.7) inset, -1px -3px 3px -2px rgba(255, 255, 255, 0.2) inset',
      },
      backgroundImage: {
        'main-graient': 'linear-gradient(145deg, #1e2024, #23272b)',
        'hover-graient': 'linear-gradient(to right bottom, #212428, #16181c)',
        'primary-graient': 'linear-gradient(145deg, #ff014f, #d11414)',
        'slider': "url('../image/slider.jpg')",
        'progress': 'linear-gradient(270deg, #f02981 0%, #c81901 100%)',
      },
      transitionDuration: {
        '.5': '.5s',
      },
      transitionProperty: {
        'background-image': 'background-image',
      },
      fontFamily: {
        'Yekan-Light': 'Yekan-Light',
        'Yekan-Regular': 'Yekan-Regular',
        'Yekan-Bold': 'Yekan-Bold',
      },
      container: {
        center: true,
        padding: {
          DEFAULT: '20px',
          lg: '0px'
        },
      },
    },
  },
  plugins: [],
}